api:
  dashboard: {{ traefik_api_dashboard }}
  debug: {{ traefik_api_debug }}
log:
  level: {{ traefik_log_level }}
{% if traefik_access_logs %}
accessLog: {}
{% endif %}
metrics:
  prometheus:
    entryPoint: metrics
    addEntryPointsLabels: true
entryPoints:
  metrics:
    address: :{{ traefik_monitor_port }}
  http:
    address: ":80"
  https:
    address: ":443"
serversTransport:
  insecureSkipVerify: true
providers:
  docker:
    endpoint: "unix:///var/run/docker.sock"
    exposedByDefault: false
{% if hosts_to_proxy is defined %}
  file:
    filename: /config.yml
    watch: true
{% endif %}
certificatesResolvers:
  cloudflare:
    acme:
      email: {{ traefik_dns_challenge_email }}
{% if use_stage_ca %}
      caServer: https://acme-staging-v02.api.letsencrypt.org/directory
{% endif %}
      storage: /etc/traefik/acme/acme.json
      dnsChallenge:
        provider: cloudflare
        resolvers:
          - "1.1.1.1:53"
          - "1.0.0.1:53"
